/*
 * $Id: const.h,v 1.21 2000/09/19 17:19:53 nordstrom Exp $
 *
 * Viewer - a part of Plucker, the free off-line HTML viewer for PalmOS
 * Copyright (C) 1998, Mark Ian Lillywhite and Michael Nordstrm
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Mark Lillywhite - plucker@rubberchicken.org
 */

// Length (in pixels) to scroll for one page 
#define SCROLL_ONE_PAGE 120

// Default font style
#define DEFAULTSTYLE 0

// Default spacing between paragraphs
#define DEFAULT_PARAGRAPH_SPACING 2

// Default size of horizontal rules
#define DEFAULT_HRULE_SIZE 2

// Default size of horizontal rules

#define MAX_PATTERN_LEN 15

// Screen coordinates for document
#define MAX_EXTENT_X 160
#define MAX_EXTENT_Y 160

#define TOP_LEFT_X 2
#define TOP_LEFT_Y 15
#define EXTENT_X ((MAX_EXTENT_X - 7) - TOP_LEFT_X)
#define EXTENT_Y (MAX_EXTENT_Y - TOP_LEFT_Y)

// Creator ID
#define ViewerAppID    'Plkr'

// Type for Plucker databases
#define ViewerDBType   'Data'

// Database version
#define ViewerDBVersion 9

// Type for dynamic databases
#define DynamicDBType   'Dmic'

// Type for Uncompress database
#define UncompressDBType   'Ucmp'

// Type for meta databases
#define PlkrDBType   'Meta'
