/*
 * $Id: emailform.h,v 1.6 2000/09/19 17:19:56 nordstrom Exp $
 *
 * Viewer - a part of Plucker, the free off-line HTML viewer for PalmOS
 * Copyright (C) 1998, Mark Ian Lillywhite and Michael Nordstrm
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Mark Lillywhite - plucker@rubberchicken.org
 */

#ifndef __PLUCKER_EMAILFORM_H
#define __PLUCKER_EMAILFORM_H

#include "viewer.h"

typedef struct {
	Int16 to_off;
	Int16 cc_off;
	Int16 subject_off;
	Int16 message_off;
} MailtoData;

Boolean EmailFormHandleEvent(const EventType *event);
void DoMail(void) __attribute__ ((section ("plkr")));
void SetMailto(Int16 index) __attribute__ ((section ("plkr")));

#endif
