//
// $Id: resourceids.h,v 1.37 2000/10/22 20:17:33 nordstrom Exp $
//
// Be careful with this file - it's used by things other than cpp.
//
// Control bitmaps MUST have ID = 1000 + control ID
//

// Control IDs
#define HOMECONTROL		0
#define LEFTCONTROL		1
#define RIGHTCONTROL		2
#define DBCONTROL		3
#define FINDCONTROL		4
#define AGAINCONTROL		5
#define MENUCONTROL		6
#define OFFSETCONTROL		7
#define BOOKMARKCONTROL		8

// Control bitmaps
#define bmpHome			1000
#define bmpLeft			1001
#define bmpRight		1002
#define bmpDbase		1003
#define bmpFind			1004
#define bmpAgain		1005
#define bmpMenu			1006
// NOT USED			1007
#define bmpBookmark		1008

// Other bitmaps
#define bmpWait			2000
#define bmpChicken		2001
#define bmpEmail		2002
#define bmpMode1		2003
#define bmpMode2		2004
#define bmpMode3		2005
#define bmpBar			2006
#define bmpShortBar		2007
#define bmpDoc			2008
#define bmpSettings		2009

// Forms
#define frmMainTop		3000
#define frmMainBottom		3001
#define frmMainNone		3002
#define frmMainScrollBar	3003
#define frmMainPercentPopup	3004
#define frmMainPercentList	3005
#define frmMainBookmarkList	3006
#define frmMainImageDialog	3007
#define frmMainImageDialogPopup	3008

#define frmAbout		3100
#define frmAboutOK		3101

#define frmContact		3200
#define frmContactOK		3201
#define frmContact2		3202
#define frmContact2OK		3203
#define frmContact2Send		3204

#define frmPref			3300
#define frmPrefOK		3301
#define frmPrefCancel		3302
#define frmPrefMenuHack		3303
#define frmPrefStrikethrough	3305
#define frmPrefScrollbarPopup	3306
#define frmPrefScrollbarList	3307
#define frmPrefShowDate		3308
#define frmPrefDBModeSwitch	3309
#define frmPrefLinkClick	3310
#define frmPrefScreenDepthPopup	3311
#define frmPrefScreenDepthList	3312
#define frmPrefMenuToolbarPopup	3313
#define frmPrefMenuToolbarList	3314
#define frmPrefUnderline	3315

#define frmDBMgr		3400
#define frmDBMgrTable		3401
#define frmDBMgrScrollBar	3402
#define frmDBMgrPopup		3403
#define frmDBMgrList		3404
#define frmDBMgrDetails		3405
#define frmDBMgrCategory	3406
#define frmDBMgrDate		3407
#define frmDBMgrSize		3408
#define frmRenameDB		3409
#define frmRenameDBOK		3410
#define frmRenameDBField	3411
#define frmRenameDBCancel	3412

#define frmDetails		3500
#define frmDetailsOK		3501
#define frmDetailsCancel	3502
#define frmDetailsStatusRead	3503
#define frmDetailsStatusUnread	3504
#define frmDetailsShowImages	3505
#define frmDetailsLink		3506
#define frmDetailsCopy		3507

#define frmControl		3600
#define frmControlOK		3601
#define frmControlCancel	3602
#define frmControlList1		3603
#define frmControlList2		3604
#define frmControlList3		3605
#define frmControlList4		3606
#define frmControlPopup1	3607
#define frmControlPopup2	3608
#define frmControlPopup3	3609
#define frmControlPopup4	3610
#define frmControlMode1		3611
#define frmControlMode2		3612
#define frmControlMode3		3613
#define frmControlLabel1	3614
#define frmControlLabel2	3615
#define frmControlLabel3	3616
#define frmControlLabel4	3617
#define frmControlMsg1		3618
#define frmControlMsg2		3619
#define frmControlMsg3		3620
#define frmControlMsg4		3621

#define frmSearch		3700
#define frmSearchOK		3701
#define frmSearchField		3702
#define frmSearchCancel		3703
#define frmSearchList		3704
#define frmSearchPopup		3705
#define frmSearchCaseless	3706
#define frmSearchHistory	3707
#define frmSearchHistoryList	3708
#define frmResult		3709
#define frmResultStop		3710
#define frmResultCancel		3711
#define frmResultFindMore	3712
#define frmResultStatus		3713

#define frmCategory		3800
#define frmCatOK		3801
#define frmCatCancel		3802
#define frmCatAll		3803
#define frmCatNone		3804
#define frmCat1			3805
#define frmCat2			3806
#define frmCat3			3807
#define frmCat4			3808
#define frmCat5			3809
#define frmCat6			3810
#define frmCat7			3811
#define frmCat8			3812
#define frmCat9			3813
#define frmCat10		3814
#define frmCat11		3815
#define frmCat12		3816
#define frmCat13		3817
#define frmCat14		3818
#define frmCat15		3819
#define frmCat16		3820
#define frmCatOpen1		3821
#define frmCatOpen2		3822
#define frmCatOpen3		3823
#define frmCatOpen4		3824
#define frmCatOpen5		3825
#define frmCatOpen6		3826
#define frmCatOpen7		3827
#define frmCatOpen8		3828
#define frmCatOpen9		3829
#define frmCatOpen10		3830
#define frmCatOpen11		3831
#define frmCatOpen12		3832
#define frmCatOpen13		3833
#define frmCatOpen14		3834
#define frmCatOpen15		3835
#define frmCatOpen16		3836
#define frmCatMultiple		3837
#define frmCatList		3838
#define frmCatPopup		3839
#define frmCatAND		3840
#define frmCatOR		3841
#define frmNewCategory		3842
#define frmNewCatOK		3843
#define frmNewCatCancel		3844
#define frmNewCatName		3845
#define frmInitCategory		3846

#define frmEmail		3900
#define frmEmailTo		3901
#define frmEmailCc		3902
#define frmEmailSubject		3903
#define frmEmailMessage		3904
#define frmEmailSend		3905
#define frmEmailCancel		3906
#define frmEmailToArrow		3907
#define frmEmailCcArrow		3908
#define frmEmailSubjectArrow	3909
#define frmEmailScrollBar	3910
#define frmEmailToLabel		3911
#define frmEmailCcLabel		3912
#define frmEmailSubjectLabel	3913

#define frmAddBookmark		4000
#define frmAddBookmarkAdd	4001
#define frmAddBookmarkCancel	4002
#define frmAddBookmarkName	4003
#define frmEditBookmarks	4004
#define frmEditBookmarksDone	4005
#define frmEditBookmarksDelete	4006
#define frmEditBookmarksList	4007

#define frmExternalLinks	4100
#define frmExternalLinksLink	4101
#define frmExternalLinksBack	4102
#define frmExternalLinksCopy	4103

// Menus
#define menuMainForm		5000
#define menuDBMgrForm		5001

/*** DON'T CHANGE ORDER ***/
#define mGoHome			5101
#define mGoBack			5102
#define mGoForward		5103
/*** DON'T CHANGE ORDER ***/
#define mGoSearch		5104
#define mGoSearchAgain		5105
#define mGoAddBookmark		5106
#define mGoEditBookmarks	5107

#define mViewTopToolbar		5111
#define mViewBottomToolbar	5112
#define mViewNoToolbar		5113

#define mOptionsAbout		5121
#define mOptionsContact		5122
#define mOptionsPref		5123
#define mOptionsDBMgr		5124
#define mOptionsDetails		5125
#define mOptionsControl		5126

// Strings
#define strPrefHelp		6000
#define strResultSearching	6001
#define strResultMatches	6002
#define strResultNoMatches	6003
#define strAddBookmark		6004
#define strEditBookmark		6005
#define strControlHelp		6006
#define strDetailsHelp		6007
#define strNoURL		6008
#define strCatHelp		6009
#define strCatDefault		6010
#define strEditCatHelp		6011
#define strDBMgrHelp		6012

// Alerts
#define infoNoPluckerDB		7000
#define warnBrokenDatabase	7001
#define infoWrongROMVersion	7002
#define confirmDeleteDB		7003
#define errNoDeleteDB		7004
#define warnInsufficientMemory	7005
#define confirmEndOfDoc		7006
#define errStringNotFound	7007
#define errBadMailto		7008
#define errAlreadyExists	7009
#define warnLowEmailMem		7010
#define warnNoTo		7011
#define errReadOnly		7012
#define infoTooHighBitDepth	7013
#define warnLowImageMem		7014
#define infoEmptyPatterns	7015
#define warnNoZLibSupport	7016
#define errUnknownType		7017
#define warnImageCompression	7018
#define errNoCategory		7019
#define errCategoryExists	7020
#define confirmMergeCategory	7021

// Misc
#define frmUpdateDoc		8000
#define frmShowResult		8001
#define frmJumpToDoc		8002
#define frmUpdateList		8003
#define frmUpdateTable		8004
