/*
 * $Id: screen.h,v 1.11 2000/09/19 17:20:01 nordstrom Exp $
 *
 * Viewer - a part of Plucker, the free off-line HTML viewer for PalmOS
 * Copyright (C) 1998, Mark Ian Lillywhite and Michael Nordstrm
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * Mark Lillywhite - plucker@rubberchicken.org
 */

#ifndef __PLUCKER_SCREEN_H
#define __PLUCKER_SCREEN_H

#include "viewer.h"

void SetScreenModeOS3(void);
void SetScreenModeOS2(void);
Boolean RestoreScreenModeOS3(void);
Boolean RestoreScreenModeOS2(void);
Boolean TooHighBitDepth_Default(UInt32 depth);
Boolean TooHighBitDepth_35(UInt32 depth);

Boolean (*depthCheck)(UInt32);
void (*screenMode)(void);
Boolean (*restoreMode)(void);

#define TooHighBitDepth(depth) (*depthCheck)(depth)
#define SetScreenMode() (*screenMode)()
#define RestoreScreenMode() (*restoreMode)()

#endif
